Issue 35774 - OOo-1.9 has lost the ability to dock toolbars inside docked panels
Summary: OOo-1.9 has lost the ability to dock toolbars inside docked panels
Status: ACCEPTED
Alias: None
Product: General
Classification: Code
Component: ui (show other issues)
Version: OOo 2.0
Hardware: All All
: P3 Trivial (vote)
Target Milestone: AOO Later
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-10-19 12:53 UTC by bryancole
Modified: 2013-02-07 21:56 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description bryancole 2004-10-19 12:53:43 UTC
In OOo-1.1.x, the docked toolbars were located *inside* of any docked panels
(Navigator, Stylist etc.), such that the toolbars are always adjacent to the
work-space. Although the OOo-1.9.x toolbars are now undockable and
repositionable, it is not possible to place the toolbars (e.g. the Option
toolbar) inside of the docked Navigator+Stylist panels. This forces the toolbars
to be further from "the action" of the main workspace. Not Good UI. 

Thus, OOo-1.9 has lost one nice aspect of of the OOo-1.1.x UI.
Comment 1 stefan.baltzer 2004-10-19 14:04:13 UTC
SBA: Component changed to "framework". Reassigned to TM.
Comment 2 thorsten.martens 2004-10-21 10:27:01 UTC
TM->CJ: Please have a look ! Spec is not final, therefore this may be seen as  a
bug in the current implementation.
Comment 3 christian.jansen 2004-10-21 10:44:10 UTC
CJ->TM: Our toolbars are working as specified for OOo 2.0
Comment 4 thorsten.martens 2004-10-21 11:23:42 UTC
Works as designed and specified, not a bug.
Comment 5 thorsten.martens 2004-10-21 11:24:05 UTC
closed
Comment 6 bryancole 2004-10-21 13:11:56 UTC
!!!!

I've just re-read the spec for this (file "openoffice_org_toolbar_spec.sxw"
lines 140 to 150) and I quote:

"""
In OpenOffice.org 2.0 it will be possible to dock toolbars nearly to every
window border. It is also possible to dock toolbars at the application window
edges. It is also possible to dock toolbars to frame windows. A frame window is
for example a docked Stylist or a Navigator. The image below shows the areas
where toolbars can be docked.
"""

The accompanying picture clearly indicates that inside edges of "Frame Windows"
should be dockable locations for toolbars. Now, on my build of OOo-1.9.56, I can
find no way to dock toolbars to the inside edges. Am I missing something here?

BC
Comment 7 bryancole 2004-12-19 10:48:48 UTC
I'm re-opening this, as I can't see how the current behaviour meets the spec.
Hope this isn't considered too impudent.
Comment 8 mci 2004-12-22 15:18:03 UTC
Hi bryancole,

thanks for using and supporting OpenOffice.org...

Yes, you are right, this doesn't work as specified.
Thanks for being so "persistent"... :)

I assign this issue to cd.

mci -> cd:

Hi cd, I think this is something for you...

as discussed with cj: OOo later, Prio 3
Comment 9 carsten.driesner 2005-07-14 15:30:57 UTC
cd: Accepted.